# IP Reputation Check

Verify IP address safety and improved risk analysis.

`GET /api/proxy-ip-check?ip=1.2.3.4`

### Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `ip` | string | No | The IPv4 or IPv6 address to check. Defaults to your IP. |

### Example Request

```bash
curl -X GET "https://developer.nabzclan.vip/api/proxy-ip-check?ip=1.1.1.1" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"
```

### Response Body

Returns the full risk analysis data.

```json
{
  "ip": "37.60.48.2",
  "network": {
    "asn": "AS16276",
    "range": "37.60.48.0/20",
    "hostname": null,
    "provider": "OVH SAS",
    "organisation": "Smtp.fr - Emailing Services",
    "type": "Hosting"
  },
  "location": {
    "continent_name": "Europe",
    "continent_code": "EU",
    "country_name": "France",
    "country_code": "FR",
    "region_name": "Provence",
    "region_code": "PAC",
    "city_name": "Aubagne",
    "postal_code": "13400",
    "latitude": 43.3165,
    "longitude": 5.5837,
    "timezone": "Europe/Paris",
    "currency": {
      "name": "Euro",
      "code": "EUR",
      "symbol": "€"
    }
  },
  "device_estimate": {
    "address": 1,
    "subnet": 198
  },
  "detections": {
    "proxy": false,
    "vpn": false,
    "compromised": false,
    "scraper": false,
    "tor": false,
    "hosting": true,
    "anonymous": false,
    "risk": 33,
    "confidence": 100,
    "first_seen": null,
    "last_seen": null
  }
}
```
